PKWareExtraHeader.HashAlgorithm
Date: 2017-02-08

org.apache.commons.compress.archivers.zip

## Enum PKWareExtraHeader.HashAlgorithm

- java.lang.Object
- - java.lang.Enum<PKWareExtraHeader.HashAlgorithm>
  - - org.apache.commons.compress.archivers.zip.PKWareExtraHeader.HashAlgorithm

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<PKWareExtraHeader.HashAlgorithm>
  Enclosing class:
    PKWareExtraHeader

      public static enum PKWareExtraHeader.HashAlgorithm
      extends java.lang.Enum<PKWareExtraHeader.HashAlgorithm>

  Hash Algorithm
  Since:
    1.11

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CRC32`
    `MD5`
    `NONE`
    `RIPEND160`
    `SHA1`
    `SHA256`
    `SHA384`
    `SHA512`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static PKWareExtraHeader.HashAlgorithm` | `getAlgorithmByCode(int code)` Returns the HashAlgorithm for the given code or null if the method is not known.
    `int` | `getCode()` the hash algorithm ID.
    `static PKWareExtraHeader.HashAlgorithm` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static PKWareExtraHeader.HashAlgorithm[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NONE

          public static final PKWareExtraHeader.HashAlgorithm NONE

    - #### CRC32

          public static final PKWareExtraHeader.HashAlgorithm CRC32

    - #### MD5

          public static final PKWareExtraHeader.HashAlgorithm MD5

    - #### SHA1

          public static final PKWareExtraHeader.HashAlgorithm SHA1

    - #### RIPEND160

          public static final PKWareExtraHeader.HashAlgorithm RIPEND160

    - #### SHA256

          public static final PKWareExtraHeader.HashAlgorithm SHA256

    - #### SHA384

          public static final PKWareExtraHeader.HashAlgorithm SHA384

    - #### SHA512

          public static final PKWareExtraHeader.HashAlgorithm SHA512

  - ### Method Detail

    - #### values

          public static PKWareExtraHeader.HashAlgorithm[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (PKWareExtraHeader.HashAlgorithm c : PKWareExtraHeader.HashAlgorithm.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static PKWareExtraHeader.HashAlgorithm valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getCode

          public int getCode()

      the hash algorithm ID.
      Returns:
        the PKWare hashAlg

    - #### getAlgorithmByCode

          public static PKWareExtraHeader.HashAlgorithm getAlgorithmByCode(int code)

      Returns the HashAlgorithm for the given code or null if the method is not known.
      Parameters:
        `code` - the code of the algorithm
      Returns:
        the HashAlgorithm for the given code or null if the method is not known